Bug 195365 - Review Request: etcnet - /etc/net network configuration system
Review Request: etcnet - /etc/net network configuration system
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On: 195353 205932
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-06-14 17:42 EDT by Denis Ovsienko
Modified: 2014-02-08 18:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 00:11:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Somehow clean SPEC version of original SPEC (4.94 KB, application/octet-stream)
2006-08-02 09:55 EDT, Parag AN(पराग)
no flags Details

  None (edit)
Description Denis Ovsienko 2006-06-14 17:42:40 EDT
Spec URL: http://etcnet.org/files/Fedora.spec
SRPM URL: http://etcnet.org/files/etcnet-0.8.3-fc5.0.test4.src.rpm
Description: /etc/net should become an alternative way of configuring network in Fedora. It was designed with former and current limitations of initscripts-style configuration and is already known to work. More information is available with supplied manpages and at the project homepage: http://etcnet.org/
Thank you.
Comment 1 Parag AN(पराग) 2006-08-02 08:02:07 EDT
This package contains a lot of rpmlint errors
Comment 2 Parag AN(पराग) 2006-08-02 08:06:39 EDT
Denis,
      can you add Makefile to source package and make it clean? There are a lot
of files in source package but no proper way to handle them thru' Makefile
Comment 3 Parag AN(पराग) 2006-08-02 09:55:23 EDT
Created attachment 133478 [details]
Somehow clean SPEC version of original SPEC

Still there are a lot of rpmlint errors. In case you are there you can try to
clean it or i will post silent rpmlint version of SPEC later on
Comment 4 Denis Ovsienko 2006-08-02 14:12:23 EDT
Thank you for review, I will post a better version soon.
Comment 5 Jason Tibbitts 2006-08-30 01:38:53 EDT
Given that 195353 was closed WONTFIX, is there any point in continuing this
submission?
Comment 6 Denis Ovsienko 2006-09-05 13:12:42 EDT
The short answer would be "there is a point". I am continuing my work.
Comment 7 Denis Ovsienko 2006-09-10 12:24:38 EDT
A Makefile was added. Meaningful rpmlint errors were fixed. Some other
enhancements were done (see ChangeLog). I expect this snapshot to have little
difference from soon 0.8.4 release.

SPEC: http://etcnet.org/files/Fedora.spec
SRPM URL: http://etcnet.org/files/etcnet-0.8.4-0.test7.src.rpm

The package requires initscripts split. I have updated my initscripts patch to
the 8.39-1 version and set up a repository of initscripts+net-scripts+etcnet here:
http://etcnet.org/repo/fc6/
Thank you.
Comment 9 Kevin Fenzi 2007-06-01 01:39:12 EDT
Denis: Do you still wish to submit this package? 

The URL's in comment #7 all appear to be unreachable. ;( 

If this package requires changes to an already existing package to work, and the
maintainer refuses to make those changes I'm not sure there is any reason to
keep this submission around. Does it indeed require those changes? 

If I don't hear anything in 1 week I will go ahead and close this submission. 
Comment 10 Patrice Dumas 2007-06-01 02:28:31 EDT
I haven't investigated anything at all, but it seems clear to me
that a new network system shouldn't conflict with what is existing.

Moreover the network is brought up in a separate init.d script so 
from a quick glance it seems that using etcnet simply means stopping 
network and enabling the corresponding etcnet init script? Ok this
has to be done manually, but this is where to start, real integration 
should be done later, when it has proven to be better than the current 
initscripts.

In any case I am all for a alternative network system to play
with.
Comment 11 Kevin Fenzi 2007-06-08 00:11:44 EDT
I'd be all for an alternative as well, but the submitter hasn't responded. 

I am going to close this review now. 

Denis: Feel free to reopen this review request or submit a new one if you would
like to submit this package again.
Comment 12 Michael Shigorin 2013-02-20 11:41:15 EST
For those interested in post mortem analysis in Russian (executive summary: blame initscripts maintainer for being unwilling to change it in any way):

<pilot> кроме записанного в этом баге было ещё и обсуждение в IRC
<pilot> тогдашний хозяин пакета initscripts сказал что-то в том роде, что я могу делать что хочу, если только не нужно менять пакет initscripts
<pilot> и ещё желательно initscripts при этом из системы не удалять
<pilot> я ж культурно попросил сетевую часть отделить в net-scripts и её замещать
<pilot> пакеты собрал для наглядности
<pilot> в общем, побился об стену и переключился на работу
<pilot> терпения не хватило, да
Comment 13 Denis Ovsienko 2013-02-23 01:56:38 EST
Due to other important concerns I'm not up to driving an integration attempt once again. If anyone is motivated to do that on their own, I can provide a couple of hints, but that would be all. /etc/net is now maintained by Sergey Bolshakov.

Note You need to log in before you can comment on or make changes to this bug.